--localizing screen size variables for later use (just for test case)
ScreenWidth = display.contentWidth
ScreenHeight = display.contentHeight
ScreenOffsetX = display.screenOriginX
ScreenOffsetY = display.screenOriginY
ScreenWidthReal = ScreenWidth + ScreenOffsetX*(-2)
ScreenHeightReal = ScreenHeight + ScreenOffsetY*(-2)

local screenWidth 		= ScreenWidth
local screenHeight 		= ScreenHeight
local screenWidthReal 	= ScreenWidthReal
local screenHeightReal 	= ScreenHeightReal
local screenOffsetX 	= ScreenOffsetX
local screenOffsetY 	= ScreenOffsetY



--load the module
local EasyBox = require("EasyBox")

--load the spritesheet to use
local testImageSheet = graphics.newImageSheet("images/testTiles.png", require("spriteData.testTiles"):getSheet())


--create a new box data entry
EasyBox.newBoxData("test", {
	imageSheet 				= testImageSheet,
	framesCorner 			= {6},
	framesBorder 			= {5, 4, 2, 3},
	rotationBorder			= {0, 90, 90, 270},
	flipBorder				= {true, true, true, true},
	frameBackground 		= 1,
	--color 				= {1, 0, 0},
	colorCorner 			= {0, 0, 1},
	colorBorder 			= {0, 1, 0},
	--colorBackground 		= {1, 0, 0},
	--alphaCorner			= 0.5,
	--alphaBorder 			= 0.5,
	--alphaBackground		= 0.5,
	offsetBorder 			= {10},
	--offsetCorner 			= {10, 0},
	offsetContent 			= {20,10}
})


local testBox = EasyBox.newBox("test")
testBox:draw(nil, 400, 400)
testBox:show(screenWidth*0.5, screenHeight*0.5)
--testBox:setSize(200, 500)

local boxWidth, boxHeight = testBox:getSize("border")

local rectTest = display.newRect(0, 0, boxWidth, boxHeight)
rectTest.x, rectTest.y = screenWidth*0.5, screenHeight*0.5
rectTest.alpha = 0.5
